<div (window:resize)="onWindowResize($event)"
	class="keyboard-{{theme}} align-{{align}} {{roundButtons ? 'round-buttons' : ''}} {{showLetters == false ? 'no-letters' : ''}}"
	[style.width]="width">
	<ng-content select="ion-toolbar"></ng-content>
	<div class="digit-keyboard-row" [style.zoom]="zoom">
		<div  class="digit-keyboard-key-wrapper">
			<div class="digit-keyboard-key" (click)="btnClick($event, 1)">
				<div class="digit-keyboard-key-number">1
					<div class="digit-keyboard-key-letters"></div>
				</div>
			</div>
		</div>
		<div class="digit-keyboard-key-wrapper">
			<div class="digit-keyboard-key" (click)="btnClick($event, 2)">
				<div class="digit-keyboard-key-number">2
					<div class="digit-keyboard-key-letters">ABC</div>
				</div>
			</div>
		</div>
		<div class="digit-keyboard-key-wrapper">
			<div class="digit-keyboard-key" (click)="btnClick($event, 3)">
				<div class="digit-keyboard-key-number">3
					<div class="digit-keyboard-key-letters">DEF</div>
				</div>
			</div>
		</div>
	</div>
	<div class="digit-keyboard-row" [style.zoom]="zoom">
		<div class="digit-keyboard-key-wrapper">
			<div class="digit-keyboard-key" (click)="btnClick($event, 4)">
				<div class="digit-keyboard-key-number">4
					<div class="digit-keyboard-key-letters">GHI</div>
				</div>
			</div>
		</div>
		<div class="digit-keyboard-key-wrapper">
			<div class="digit-keyboard-key" (click)="btnClick($event, 5)">
				<div class="digit-keyboard-key-number">5
					<div class="digit-keyboard-key-letters">JKL</div>
				</div>
			</div>
		</div>
		<div class="digit-keyboard-key-wrapper">
			<div class="digit-keyboard-key" (click)="btnClick($event, 6)">
				<div class="digit-keyboard-key-number">6
					<div class="digit-keyboard-key-letters">MNO</div>
				</div>
			</div>
		</div>
	</div>
	<div class="digit-keyboard-row" [style.zoom]="zoom">
		<div class="digit-keyboard-key-wrapper">
			<div class="digit-keyboard-key" (click)="btnClick($event, 7)">
				<div class="digit-keyboard-key-number">7
					<div class="digit-keyboard-key-letters">PQRS</div>
				</div>
			</div>
		</div>
		<div class="digit-keyboard-key-wrapper">
			<div class="digit-keyboard-key" (click)="btnClick($event, 8)">
				<div class="digit-keyboard-key-number">8
					<div class="digit-keyboard-key-letters">TUV</div>
				</div>
			</div>
		</div>
		<div class="digit-keyboard-key-wrapper">
			<div class="digit-keyboard-key" (click)="btnClick($event, 9)">
				<div class="digit-keyboard-key-number">9
					<div class="digit-keyboard-key-letters">WXYZ</div>
				</div>
			</div>
		</div>
	</div>
	<div class="digit-keyboard-row" [style.zoom]="zoom">
		<div class="digit-keyboard-key-wrapper">
			<div class="digit-keyboard-key action-key" (click)="btnClick($event, 'left')">
				<div class="digit-keyboard-key-action" [style.font-size]="leftAction.fontSize">
					<ion-icon name="backspace"></ion-icon>					<div *ngIf="!leftAction.iconName && leftAction.text">{{leftAction.text}}</div>
				</div>
			</div>
		</div>
		<div class="digit-keyboard-key-wrapper">
			<div class="digit-keyboard-key" (click)="btnClick($event, 0)">
				<div class="digit-keyboard-key-number" style="margin-top: -0.30em;">0</div>
			</div>
		</div>
		<div class="digit-keyboard-key-wrapper">
			<div class="digit-keyboard-key action-key" (click)="btnClick($event, 'right')">
				<div class="digit-keyboard-key-action" [style.font-size]="rightAction.fontSize">
					<ion-icon *ngIf="disabled" name="checkmark-circle"></ion-icon>
					<ion-icon *ngIf="!disabled" color="primary" name="checkmark-circle"></ion-icon>

				</div>
			</div>
		</div>
	</div>
</div>